
{% extends "base.html" %}
{% block content %}
<script src="static/js/script.js"></script>


<!--Todo Table-->
<br> <br>
    <div class="container table-responsive">
        <div style="text-align: right;">

        <a type="button" href="{{ url_for('tasks.add_todo') }}" class="btn btn-outline-info btn-sm"
           style="border-color:blue; color:blue;font-size:20px; background-color:white">Add Task</a>
        </div>

    <table id="myTable" class="table">
        <thead>
        <br>
        <tr>
            <th class="task-id" onclick="sortTable(0)"># <svg xmlns="http://www.w3.org/2000/svg" width="16"
            height="16" fill="currentColor" class="bi bi-sort-down" viewBox="0 0 16 16"><path d="M3.5 2.5a.5.5 0 0 0-1
            0v8.793l-1.146-1.147a.5.5 0 0 0-.708.708l2 1.999.007.007a.497.497 0 0 0 .7-.006l2-2a.5.5 0 0 0-.707-.708L3.5 11.293V2.5zm3.5 1a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zM7.5 6a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5zm0 3a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zm0 3a.5.5 0 0 0 0 1h1a.5.5 0 0 0 0-1h-1z">
            </path></svg></th>
            <th class="task"onclick="sortTable(1)">Task Name <svg xmlns="http://www.w3.org/2000/svg" width="16"
            height="16" fill="currentColor" class="bi bi-sort-down" viewBox="0 0 16 16"><path d="M3.5 2.5a.5.5 0 0 0-1
            0v8.793l-1.146-1.147a.5.5 0 0 0-.708.708l2 1.999.007.007a.497.497 0 0 0 .7-.006l2-2a.5.5 0 0 0-.707-.708L3.5 11.293V2.5zm3.5 1a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zM7.5 6a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5zm0 3a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zm0 3a.5.5 0 0 0 0 1h1a.5.5 0 0 0 0-1h-1z">
            </path></svg></th>
            <th class="status"onclick="sortTable(2)">Status <svg xmlns="http://www.w3.org/2000/svg" width="16"
            height="16" fill="currentColor" class="bi bi-sort-down" viewBox="0 0 16 16"><path d="M3.5 2.5a.5.5 0 0 0-1
            0v8.793l-1.146-1.147a.5.5 0 0 0-.708.708l2 1.999.007.007a.497.497 0 0 0 .7-.006l2-2a.5.5 0 0 0-.707-.708L3.5 11.293V2.5zm3.5 1a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zM7.5 6a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5zm0 3a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zm0 3a.5.5 0 0 0 0 1h1a.5.5 0 0 0 0-1h-1z">
            </path></svg></th>
            <th class="update" onclick="sortTable(3)">Due Date <svg xmlns="http://www.w3.org/2000/svg" width="16"
            height="16" fill="currentColor" class="bi bi-sort-down" viewBox="0 0 16 16"><path d="M3.5 2.5a.5.5 0 0 0-1
            0v8.793l-1.146-1.147a.5.5 0 0 0-.708.708l2 1.999.007.007a.497.497 0 0 0 .7-.006l2-2a.5.5 0 0 0-.707-.708L3.5 11.293V2.5zm3.5 1a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zM7.5 6a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5zm0 3a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zm0 3a.5.5 0 0 0 0 1h1a.5.5 0 0 0 0-1h-1z">
            </path></svg></th>
            <th class="update">Edit</th>
            <th class="update">Remove</th>

        </tr>
        </thead>

        <tbody>
        {% for todo in todos %}
            <tr>
                <td>{{todo.id}}</td>
                <td>{{todo.task_name}}</td>

                {% if todo.status == "Not Started" %}
                    <td><span class="btn-outline-warning" data-source="{{todo.id}}">{{todo.status}}</span></td>
                {%endif%}
                {% if todo.status == "In Progress" %}
                    <td><span class="btn-outline-secondary" data-source="{{todo.id}}">{{todo.status}}</span></td>
                {%endif%}
                {% if todo.status == "Complete" %}
                    <td><span class="btn-outline-success" data-source="{{todo.id}}">{{todo.status}}</span></td>
                {%endif%}

                <td> {{todo.due_date.strftime("%b %d %Y")}} </td>
                <td><a type="button" class="btn btn-warning" href="{{ url_for('tasks.edit_task', id=todo.id) }}"> Edit </a></td>

                <td><a type="button" class="btn btn-danger" href="{{ url_for('tasks.delete_task', id=todo.id) }}"> Delete </a></td>

            </tr>
        {% endfor %}

        </tbody>
    </table>
    </div>


{% endblock %}